Subject: [IPP] Stable version of IPP Scan Service specification available

From: "Zehler, Peter" <[email-masked]>
Date: Fri, 9 May 2014 14:28:25 +0000

All,
I have posted the stable version of "IPP Scan Service updated per prototype experience and subsequent discussions.

ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippscan10-20140509.pdf
http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippscan10-20140509.pdf

ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippscan10-20140509.docx
http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippscan10-20140509.docx

ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippscan10-20140509-rev.pdf
http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippscan10-20140509-rev.pdf

ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippscan10-20140509-rev.docx
http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippscan10-20140509-rev.docx

Peter Zehler

Xerox Research Center Webster
Email: [email-masked]<mailto:[email-masked]>
Voice: (585) 265-8755
FAX: (585) 265-7441
US Mail: Peter Zehler
Xerox Corp.
800 Phillips Rd.
M/S 128-25E
Webster NY, 14580-9701

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet <[email-masked]>
Date: Fri, 09 May 2014 08:26:16 -0700

Pete,

Thanks for posting this. I did a quick page turning and came up with the following comments:

- Global: Use the "normal" style for tables and their footnotes
- Global: Check for empty rows in tables and extra blank lines in the text.
- Table 7: The 8-bit RGB color keyword should probably be rgb_8 instead of color_8, to be consistent with the rest of them.
- Section 8.2.1.1, line 698 in the rev version: attribute names should be in double quotes, fix "job-password-encryption" (missing hyphen)
- Section 8.4.2.5: Same as 8.2.1.1
- Section 8.4.2.6: "destination-attributes" should be hyphenated and in double quotes, plus same fixes as 8.2.1.1.
- Section 10: I'd drop the "for more information see [BONJOUR]" and instead include the reference at the end of the first sentence with the new RFCs (6762 and 6763 IIRC - they are listed on the IPP WG web page).
- Table 9: Default value for rs should be "ipp/scan". "UUID" is all caps and MUST match the "printer-uuid" for the Print service, if any (remember, this is shared with the Print registration)
- Section 10: You should say something about the service name and TXT record being shared on a multifunction device.
- Section 10.3.1.1: You should say something about the TXT record being shared with the Print service on a multifunction device.
- Section 10.3.1.2: You don't have to include txtvers (it defaults to 1), but if you do it should be the first key.
- Section 10.3.1.3: The ending dot indicates a FQDN. The default port is 80 for http and 443 for https. I don't know if we should say anything about UI here.
- Section 10.3.1.4: IPP-SE? No mention of ipp/scan default value, sp and rp are both shown as keys in the examples.
- Section 10.3.1.7: ALL CAPS UUID, it is an RFC 4122 conforming UUID without the leading urn:uuid:, must match the "printer-uuid" value from the Print service, etc.
- Section 10.3.1.x: Examples should be for non-default values.
- Section 11: "002E" at end of sentence.
- Section 11.1: Item 2 drop the a-d sub-items
- Section 11.2: Item 2 drop the a-b sub-items
- Section 12: Fix list
- Section 13: "In addition to the security considerations defined below, the IPP extensions ..."
- Section 13.x: I don't think we have defined terms for all of the terms in these sections.
- Section 14.1: Drop "IPP" from in front of Printer Description, drop input-color-mode-default/-supported
- Section 14.2: Drop "bi-level" (already registered), "color_8" should be "rgb_8".
- Section 14.3: The enum is for operations-supported
- Section 15.1: Add RFC 6762, 6763, fix JFIF reference (pointing to RFC 6068)
- Section 15.2: Update IPPS reference

On May 9, 2014, at 7:28 AM, Zehler, Peter <[email-masked]> wrote:

> All,
> I have posted the stable version of “IPP Scan Service updated per prototype experience and subsequent discussions. 
>  
> Email: [email-masked]
> Voice: (585) 265-8755
> FAX: (585) 265-7441
> US Mail: Peter Zehler
> Xerox Corp.
> 800 Phillips Rd.
> M/S 128-25E
> Webster NY, 14580-9701
>  
>  

_________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair